Package org.apache.sling.distribution.journal.queue

## Interface CacheCallback

All Known Implementing Classes:
  `MessagingCacheCallback`

    public interface CacheCallback

### Method Summary

All Methods Instance Methods Abstract Methods
`Closeable` `createConsumer​(org.apache.sling.distribution.journal.MessageHandler<org.apache.sling.distribution.journal.messages.PackageMessage> handler)`
`List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>>` `fetchRange​(long minOffset, long maxOffset)`
`QueueState` `getQueueState​(String pubAgentName, String subAgentId)`
`Set<String>` `getSubscribedAgentIds​(String pubAgentName)`

### Method Detail

#### createConsumer

    Closeable createConsumer​(org.apache.sling.distribution.journal.MessageHandler<org.apache.sling.distribution.journal.messages.PackageMessage> handler)

#### fetchRange

    List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>> fetchRange​(long minOffset,
                                                                                                                                      long maxOffset)
                                                                                                                               throws InterruptedException

Throws:
  `InterruptedException`

#### getQueueState

    QueueState getQueueState​(String pubAgentName,
                             String subAgentId)

#### getSubscribedAgentIds

    Set<String> getSubscribedAgentIds​(String pubAgentName)